### Constructor

# Clutter PathConstraint new

#### Declaration [src]

    ClutterConstraint*
    clutter_path_constraint_new (
      ClutterPath* path,
      gfloat offset
    )

#### Description [src]

Creates a new `ClutterPathConstraint` with the given `path` and `offset`.

#### Parameters

`path`

  Type: `ClutterPath`

  A `ClutterPath`, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`offset`

  Type: `gfloat`

  The offset along the `ClutterPath`.

#### Return value

Type: `ClutterConstraint`

The newly created `ClutterPathConstraint`.

The data is owned by the called function.